Package org.zkoss.zk.ui.ext

## Interface Native

- All Superinterfaces:
    `NonFellow`
  All Known Implementing Classes:
    `HtmlNativeComponent`, `XmlNativeComponent`

      public interface Native
      extends NonFellow

  Implemented with `Component` to represent a native component. The native component is used to implement the feature of the Native namespace (http://www.zkoss.org/2005/zk/native).
  Since:
    3.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `Native.Helper` | The helper to generate the output for the native component.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addDeclaredNamespace​(Namespace ns)` | Adds a declared namespace.
    `java.util.List<Namespace>` | `getDeclaredNamespaces()` | Returns a readonly list of the declared namespaces (`Namespace`), or empty if no declared namespace.
    `java.lang.String` | `getEpilogContent()` | Returns the epilog content.
    `Native.Helper` | `getHelper()` | Returns the helper to generate the output of the native components.
    `java.lang.String` | `getPrologContent()` | Returns the prolog content.
    `void` | `setEpilogContent​(java.lang.String epilog)` | Sets the epilog content.
    `void` | `setPrologContent​(java.lang.String prolog)` | Sets the prolog content.

- - ### Method Detail

    - #### getDeclaredNamespaces

          java.util.List<Namespace> getDeclaredNamespaces()

      Returns a readonly list of the declared namespaces (`Namespace`), or empty if no declared namespace.

    - #### addDeclaredNamespace

          void addDeclaredNamespace​(Namespace ns)

      Adds a declared namespace. The added declared namespace will be generated to the output.
      Parameters:
        `ns` - the namespace (never null).

    - #### getPrologContent

          java.lang.String getPrologContent()

      Returns the prolog content. It is the content generated before the child components, if any.

      Default: empty ("").

    - #### setPrologContent

          void setPrologContent​(java.lang.String prolog)

      Sets the prolog content. It is the content generated before the child components, if any.

    - #### getEpilogContent

          java.lang.String getEpilogContent()

      Returns the epilog content. It is the content generated before the child components, if any.

      Default: empty ("").

    - #### setEpilogContent

          void setEpilogContent​(java.lang.String epilog)

      Sets the epilog content. It is the content generated before the child components, if any.

    - #### getHelper

          Native.Helper getHelper()

      Returns the helper to generate the output of the native components.